# NOTE: g++ eats 700+MB of memory
#
# Conditional build:
%bcond_with	gomp	# OpenMP support (incompatible with image-cache)
#
Summary:	Image blending with multiresolution splines
Summary(pl.UTF-8):	Łączenie zdjęć przy użyciu splajnów wielokrotnej rozdzielczości
Name:		enblend-enfuse
Version:	4.1.1
Release:	2
License:	GPL v2+
Group:		Applications/Graphics
Source0:	http://downloads.sourceforge.net/enblend/%{name}-%{version}.tar.gz
# Source0-md5:	9bc34f423f3bee35150ab593211da4a2
Patch0:		%{name}-info.patch
Patch1:		%{name}-texinfo.patch
URL:		http://enblend.sourceforge.net/
BuildRequires:	OpenEXR-devel >= 1.0
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-glut-devel
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.35.0
%{?with_gomp:BuildRequires:	gcc-c++ >= 6:4.2}
BuildRequires:	glew-devel
BuildRequires:	gsl-devel
BuildRequires:	help2man
BuildRequires:	lcms2-devel >= 2
%{?with_gomp:BuildRequires:	libgomp-devel}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel >= 5:3.4
BuildRequires:	libtiff-devel
BuildRequires:	libxmi-devel
BuildRequires:	pkgconfig
BuildRequires:	texinfo
BuildRequires:	transfig
BuildRequires:	vigra-devel >= 1.8
BuildRequires:	zlib-devel
Requires:	vigra >= 1.8
Provides:	enblend = %{version}
Obsoletes:	enblend
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Enblend is a tool for compositing images. Given a set of images that
overlap in some irregular way, Enblend overlays them in such a way
that the seam between the images is invisible, or at least very
difficult to see. Enblend does not line up the images for you. Use a
tool like Hugin to do that.

%description -l pl.UTF-8
Enblend to narzędzie do łączenia zdjęć. Po przekazaniu zbioru zdjęć
nachodzących na siebie w jakiś nieregularny sposób Enblend nakłada je
w taki sposób, że połączenia między zdjęciami są niewidoczne, albo
przynajmniej bardzo trudne do zobaczenia. Enblend nie wyrównuje zdjęć
- do tego można użyć narzędzia takiego jak Hugin.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__sed} -i -e 's/src:://g;s/CFG::/CFG_/g' doc/*.texi doc/define2set.pl configure.in

%build
%{__aclocal} -I m4
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	%{?with_gomp:--enable-openmp --disable-image-cache}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/enblend
%attr(755,root,root) %{_bindir}/enfuse
%{_mandir}/man1/enblend.1*
%{_mandir}/man1/enfuse.1*
%{_infodir}/enblend.info*
%{_infodir}/enfuse.info*
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/enblend-enfuse.git;a=log;h=master

* Sat Jul 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 9697142
- release 2

* Sat Jul 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 6abb79c
- added texinfo patch with some workarounds for texinfo 5.x; also avoid ":" in @set variables

* Thu Apr 04 2013 Jakub Bogusz <qboosh@pld-linux.org> d35a24f
- updated BRs

* Thu Apr 04 2013 Jan Rękorajski <baggins@pld-linux.org> 7ede00a
- updated to 4.1.1
- removed obsolete patches

* Sun Mar 25 2012 sparky <sparky@pld-linux.org> 0ef9e37
- added libpng 1.5 patch (found in arch linux)

* Tue Jan 31 2012 lisu <lisu@pld-linux.org> 55b7c81
- BR: transfig (needed to build whole documentation)

* Mon Jan 30 2012 lisu <lisu@pld-linux.org> a0303e4
- rel 2

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> cd9b99d
- added info patch

* Sun Mar 14 2010 sparky <sparky@pld-linux.org> dd442f7
- BR: help2man

* Mon Mar 01 2010 hawk <hawk@pld-linux.org> c40111c
- updated to 4.0, added fix for libpng 1.4

* Mon Mar 01 2010 hawk <hawk@pld-linux.org> ead9d1b
- libpng 1.4 fix

* Sat Feb 27 2010 hawk <hawk@pld-linux.org> c0a4126
- release 2

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b3dea1
- drop obsolete files

* Wed Sep 10 2008 Jakub Bogusz <qboosh@pld-linux.org> 7157705
- obsolete

* Tue Sep 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 26693f9
- updated to 3.2
- renamed to enblend-enfuse following upstream
- added opt patch, removed obsolete link patch

* Tue Sep 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 3226f9f
- don't override our optflags, source code is big enough not to force aggressive inlining

* Mon Aug 25 2008 aredridel <aredridel@pld-linux.org> afe4cda
- 3.1

* Mon Aug 25 2008 aredridel <aredridel@pld-linux.org> a59d42a
- added

* Tue Aug 05 2008 hawk <hawk@pld-linux.org> 846e0e5
- release 2

* Tue Apr 29 2008 Paweł Sikora <pluto@pld-linux.org> bdf772b
- reorganize boost BRs (boost-devel >= 1.35.0).

